.:: Bots United ::.  
filebase forums irc server wiki web
cubebot epodbot fritzbot gravebot grogbot hpbbot ivpbot jkbotti joebot
meanmod podbotmm racc rcbot realbot sandbot shrikebot soulfathermaps waypoints yapb

Go Back   .:: Bots United ::. > Cyborg Factory > POD-Bot mm > Common Questions
Common Questions Are you seeking help ? Get it here !

Reply
 
Thread Tools
New & Old Bots.
Old
  (#1)
DMXRR
Member
 
Status: Offline
Posts: 2
Join Date: Feb 2013
Question New & Old Bots. - 17-02-2013

How can you make the simultaneous operation of POD-bot 3.0 and POD-bot 2.5? As I understand it, the problem is in the file liblist (gamedll), POD-bot 2.5 also runs through this file. You can either do something, to be on the same map using the old and new bots? Counter Strike 1.5
Please help, I sit and I do not understand how you could do.

Sorry for my English, I write through the translator.
  
Reply With Quote
Re: New & Old Bots.
Old
  (#2)
KWo
Developer of PODBot mm
 
KWo's Avatar
 
Status: Offline
Posts: 3,424
Join Date: Apr 2004
Default Re: New & Old Bots. - 18-02-2013

This forum doesn't support old podbot 2.5, so I don't know if You can get helped here. What is the reason You want to run old podbot 2.5 bots against bots from 3.0 version?
From that what I know - from the file liblist.gam You can load only 1 game dll file, so it is either mp.dll (standard), old bots dll loading mp.dll (like podbot 2.5 dll) and - like we are doing it now - metamod, which can load many dlls and finally also mp.dll. Thus - if even it would be possible to load old bots dll and metamod simultaneously - since both are loading the main game dll file (mp.dll) - that would lead to the conflict. So - in my opinion - You cannot do this what You want.
  
Reply With Quote
Re: New & Old Bots.
Old
  (#3)
Whistler
Whistler
 
Whistler's Avatar
 
Status: Offline
Posts: 1,490
Join Date: Feb 2004
Location: P. R. China
Default Re: New & Old Bots. - 18-02-2013

IIRC metamod has option to load another gamedll, hence engine -> metamod -> podbot2.5 -> mp.dll is perfectly possible.

still though, I doubt it will work as POD-Bot 2.5 will try to run bot logic for all clients with FL_FAKECLIENT flag, which would lead to crash or other unexpected behavior.
  
Reply With Quote
Re: New & Old Bots.
Old
  (#4)
DMXRR
Member
 
Status: Offline
Posts: 2
Join Date: Feb 2013
Default Re: New & Old Bots. - 21-02-2013

I just wanted able to play with both 2.5 and 3.0 with bots (50/50 on the team). I rarely play CS and already got used to the bots 2.5. New bots are very good, but the old do not want to lose. I myself have tried to register somewhere ddl but I did not succeed, I thought find help here ...

By the way for new bots a strange habit when Friendly Fire the "on" position they sometimes begin to kill each other to spawn.
And they are a little slow at the beginning of the round. 2.5 faster.
still do not like their bad habit of looking at the sky ...
  
Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump



Powered by vBulletin® Version 3.8.2
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.
vBulletin Skin developed by: vBStyles.com